org.eclipse.rdf4j.sparqlbuilder.core

## Class Projection

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection<Projectable>
  - - org.eclipse.rdf4j.sparqlbuilder.core.Projection

- All Implemented Interfaces:
    QueryElement

      public class Projection
      extends QueryElementCollection<Projectable>

  A SPARQL Projection
  See Also:
    SPARQL Projections

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `elements`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Projection` | `all()` Specify that this projection should select all in-scope expressions
    `Projection` | `all(boolean selectAll)` Specify if this projection should select all in-scope expressions or not
    `Projection` | `distinct()` Specify this projection to be distinct
    `Projection` | `distinct(boolean isDistinct)` Specify if this projection should be distinct or not
    `String` | `getQueryString()`
    `Projection` | `select(Projectable... projectables)` Add expressions for this projection to select

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `addElements, addElements, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### distinct

          public Projection distinct()

      Specify this projection to be distinct
      Returns:
        this
      See Also:
        SPARQL Distinct modifier

    - #### distinct

          public Projection distinct(boolean isDistinct)

      Specify if this projection should be distinct or not
      Parameters:
        `isDistinct` - if this projection should be distinct
      Returns:
        this
      See Also:
        SPARQL Distinct modifier

    - #### all

          public Projection all()

      Specify that this projection should select all in-scope expressions
      Returns:
        this
      See Also:
        SPARQL Select

    - #### all

          public Projection all(boolean selectAll)

      Specify if this projection should select all in-scope expressions or not
      Parameters:
        `selectAll` - if this projection should select all expressions
      Returns:
        this
      See Also:
        SPARQL Select

    - #### select

          public Projection select(Projectable... projectables)

      Add expressions for this projection to select
      Parameters:
        `projectables` - the projectable expressions to add
      Returns:
        this

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Overrides:
        `getQueryString` in class `QueryElementCollection<Projectable>`
      Returns:
        the String representing the SPARQL syntax of this element

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.